%define nagios_bname nagios
%define nagios_bver 2.7
%define realname nrpe
%define nagios_plugdir %_libdir/nagios/plugins
%define nagios_confdir %_sysconfdir/nagios
%define plugin_docdir %_docdir/%nagios_bname-%nagios_bver/plug-ins
%define nagios_usr nagios
%define nagios_grp nagios

Name: %nagios_bname-%realname
Version: 2.6
Release: alt1

Summary: NRPE -- Nagios(R) Remote Plug-ins Execution daemon.
Summary(ru_RU.KOI8-R): NRPE --    Nagios(R)   .
License: GPL
Group: Monitoring
URL: http://www.nagios.org
###########################################
# Relations with other POP3/IMAP server pkgs (like courier-imap)

# Provide the abstract service names (which are virtual pkg names),
# specify their origin (our pkg name as the epoch + version-release):
Provides: nagios-daemon = %name:%version-%release

# Conflict with all other real pkgs which provide the same services
# (they should specify the origin the same way, so the epoch-version-release
# of the virtual pkgs POP3D & IMAPD will always differ from that of ours if
# they are provided by a different real pkg):
Conflicts: nagios-daemon < %name:%version-%release
Conflicts: nagios-daemon > %name:%version-%release

# End of the statements to describe relations with other POP3/IMAP server pkgs
########################################
Requires: nagios-plugins

Source0: %realname-%version.tar.gz
Source1: %realname-init

# fix default NRPE configuration
Patch0: %realname-2.5.2-alt-config.patch
Patch1: %realname-2.4-alt-warnings.patch

Prefix: %prefix

# Automatically added by buildreq on Sat Jul 01 2006
BuildRequires: libssl-devel libwrap-devel openssl

%package -n %nagios_bname-plugins-%realname
Summary: Nagios(R) plug-in for NRPE.
Summary(ru_RU.KOI8-R):   Nagios(R),    NRPE.
License: GPL
Group: Monitoring
PreReq: nagios-plugins

%description
The %name packages contains the Nagios(R) Remote Plug-ins Executor
-- daemon which can execute predefined commands on the remote host.
Execution request is send via check_nrpe Nagios(R) plug-in. Allowed
monitoring commands are described in the daemon configuration file.

Install the %name package if you want accept and procedd requests
from check_nrpe on this hosts.

%description -l ru_RU.KOI8-R
NRPE --      Nagios(R)  
.   Nagios(R)    NRPE  
  check_nrpe.     
 .

  ,        
   Nagios(R).

%description -n %nagios_bname-plugins-%realname
Plug-in for Nagios(R) monitoring system. With this plug-in you can send check
request to remote host, with installed NRPE, and process result of execution
as host or service state.

%description -l ru_RU.KOI8-R -n %nagios_bname-plugins-%realname
     Nagios(R).  
         
 NRPE.

%prep
%setup -n %realname-%version
%patch0 -p1
%patch1 -p1

%build
%configure \
	--libexecdir=%nagios_plugdir \
	--with-nrpe-user=%nagios_usr \
	--with-nrpe-group=%nagios_grp \
	--with-nrpe-port=65534 \
	--enable-ssl \
	--enable-command-args \

%__make

%install

%__mkdir_p %buildroot/%nagios_confdir

%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%nagios_plugdir
%__mkdir_p %buildroot/%plugin_docdir

# install binaries
%__install -m 0711 src/nrpe %buildroot/%_sbindir
%__install -m 0711 src/check_nrpe %buildroot/%nagios_plugdir

# install config
%__install -m 0644 sample-config/nrpe.cfg %buildroot/%nagios_confdir

#install init-script

# install sample init-script and xinetd config file
%__install -m 0644 sample-config/nrpe.xinetd %buildroot/%plugin_docdir/nrpe.xinetd
%__install -m 0644 %SOURCE1 %buildroot/%plugin_docdir

# install docs
for d in Changelog LEGAL README README.SSL SECURITY; do
	%__install -m 0644 $d %buildroot/%plugin_docdir/$d.%realname
done

#post
#post_service %realname

#preun
#preun_service %realname

%files
%dir %nagios_confdir
%config(noreplace) %nagios_confdir/nrpe.cfg
#_initdir/nrpe
%_sbindir/nrpe
%doc %plugin_docdir/*

%files -n %nagios_bname-plugins-%realname
%dir %nagios_plugdir
%nagios_plugdir/check_nrpe
%doc %plugin_docdir/*

%changelog
* Sat Jan 27 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 2.6-alt1
- 2.6

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.5.2-alt1.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sat Jul 01 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.5.2-alt1
- 2.5.2
- add --enable-command-args (ALT bug id 9503)
- add SSL support

* Fri Feb 24 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.4-alt1
- 2.4
- misc fixes based on info from nagios-devel@

* Mon Feb 13 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.3-alt1
- 2.3

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0-alt1.1
- Rebuilt with openssl-0.9.7d.

* Sun Dec 21 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt1
- v.2.0

* Sun Mar 30 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.8-alt1
- inital package for ALT Linux
